package com.ruoyi.bst.customer.service;

import com.ruoyi.bst.customer.domain.Customer;
import com.ruoyi.bst.customerFollow.domain.CustomerFollow;

public interface CustomerConverter {

    /**
     * 新增客户
     * @param customer
     * @return
     */
    Customer toPoByCreate(Customer customer);

    /**
     * 修改客户
     * @param customer
     * @return
     */
    Customer toPoByUpdate(Customer customer);

    /**
     * 新增客户跟进记录 转 客户数据
     * @param follow
     * @return
     */
    Customer toPo(CustomerFollow follow);
    
}
